<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_ContactCategories_Locus_2_3',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'ContactCategories_Locus_2_3',
        'label' => E::ts('ContactCategories Locus 2.3'),
        'api_entity' => 'Contact',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'sort_name',
            'contact_type:label',
            'contact_sub_type:label',
            'Contact_ContributionRecur_contact_id_01_ContributionRecur_Contribution_contribution_recur_id_01.total_amount',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => ['id'],
          'join' => [
            [
              'ContributionRecur AS Contact_ContributionRecur_contact_id_01',
              'INNER',
              [
                'id',
                '=',
                'Contact_ContributionRecur_contact_id_01.contact_id',
              ],
              [
                'Contact_ContributionRecur_contact_id_01.contribution_status_id:name',
                '=',
                '"In Progress"',
              ],
              [
                'Contact_ContributionRecur_contact_id_01.start_date',
                '<=',
                '"now - 12 month"',
              ],
            ],
            [
              'Contribution AS Contact_ContributionRecur_contact_id_01_ContributionRecur_Contribution_contribution_recur_id_01',
              'INNER',
              [
                'Contact_ContributionRecur_contact_id_01.id',
                '=',
                'Contact_ContributionRecur_contact_id_01_ContributionRecur_Contribution_contribution_recur_id_01.contribution_recur_id',
              ],
              [
                'Contact_ContributionRecur_contact_id_01_ContributionRecur_Contribution_contribution_recur_id_01.contribution_status_id:name',
                '=',
                '"Completed"',
              ],
            ],
          ],
          'having' => [],
        ],
        'description' => E::ts('active regular donor

 - started and continued giving regular donations 12+ months ago'),
      ],
      'match' => ['name'],
    ],
  ],
];
