<?php

// This file declares a managed database record of type "Job".
// The record will be automatically inserted, updated, or deleted from the
// database as appropriate. For more details, see "hook_civicrm_managed" at:
// https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_managed
return [
  [
    'name' => 'Cron:Job.Contactcatsync',
    'entity' => 'Job',
    'params' => [
      'version' => 3,
      'name' => 'Contact Category sync',
      'description' => 'Keeps contacts’s categories updated daily, recording change activities to track over time. Should be run hourly but will only actually work around 3am.',
      'run_frequency' => 'Hourly',
      'api_entity' => 'Job',
      'api_action' => 'Contactcatsync',
      'parameters' => '',
    ],
  ],
];
